baselineEnv {baseline} | R Documentation

## Baseline environment

### Description

Methods to access the baseline environment.

### Usage

    baselineEnv()
    getBaselineEnv(x, mode="any")
    putBaselineEnv(x, value)

### Arguments

`x` | Name of object to put/get.
`mode` | Mode of object to get.
`value` | Object to put.

### Value

`getBaseline` retrieves an object.

### Author(s)

Kristian Hovde Liland and Bjørn-Helge Mevik

### See Also

The functions implementing the baseline algorithms: `baseline.als`, `baseline.fillPeaks`, `baseline.irls`, `baseline.lowpass`, `baseline.medianWindow`, `baseline.modpolyfit`, `baseline.peakDetection`, `baseline.rfbaseline`, `baseline.rollingBall`

### Examples

    putBaselineEnv('fish', '<==x-<')
    getBaselineEnv('fish')

[Package baseline version 1.2-1 Index]